@use 'theme';

:host {
  display: grid;
  min-height: 100vh;
  min-height: -webkit-fill-available;
  grid-template-columns: auto auto;
  grid-template-rows: 40px 1fr 40px;
  grid-template-areas:
    'logo info'
    'content content'
    'navbar navbar';
  overflow-y: scroll;

  .application_logo {
    grid-area: logo;
    display: flex;
    align-items: center;
    background-color: theme.$background-primary-color-1;
    > * {
      padding: 0 10px 0 10px;
    }
  }

  .application_navbar {
    grid-area: navbar;
    bottom: 0;
    align-self: center;
    align-items: center;
    background-color: theme.$background-primary-color-1;
  }

  .application_information {
    grid-area: info;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    background-color: theme.$background-primary-color-1;
    > * {
      padding: 0 10px 0 10px;
    }
  }

  .application_content {
    grid-area: content;
    overflow-y: auto;
  }

  .navigation_item {
    cursor: pointer;
  }

  @media (min-width: 768px) {
    grid-template-columns: max-content 1fr max-content;

    grid-template-areas:
      'logo navbar info'
      'content content content';

    .application_navbar {
      bottom: initial;
      width: initial;
    }
  }
}
